/* Expandable Blocks */
.mobile-expandable-section {
    padding: 0 1px 40px 1px;
    background: #F4F4F4;
}

.mobile-expandable-list {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.mobile-expandable-item {
    border-bottom: 1px solid #DDD;
    padding-bottom: 24px;
}

/* .mobile-expandable-item:last-child {
    border-bottom: none;
} */

.mobile-expandable-title {
    color: #323232;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 150%;
    margin: 0 0 16px 0;
}

.mobile-expandable-content-wrapper {
    position: relative;
}

.mobile-expandable-content {
    color: #323232;
    font-family: Roboto;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
    overflow: hidden;
    max-height: 72px;
    transition: max-height 0.5s ease;
    margin-bottom: 16px;
    position: relative;
}
.mobile-expandable-content > *:first-child {
    margin-top: 0;
}
.mobile-expandable-content > *:last-child {
    margin-bottom: 0;
}
.mobile-expandable-item:not(.expanded) .mobile-expandable-content::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 32px;
    background: linear-gradient(180deg, rgba(244, 244, 244, 0) 0%, #F4F4F4 100%);
    pointer-events: none;
}
.mobile-expandable-item.expanded .mobile-expandable-content {
    max-height: 2000px;
}

.mobile-expand-toggle {
    border-radius: 8px;
    background: #DFDFDF;
    padding: 8px 12px;
    gap: 4px;
    color: #323232;
    text-align: center;
    font-family: Roboto;
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 16px;
    border: none;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    transition: background 0.3s;
}

.mobile-expand-toggle svg {
    transition: transform 0.3s ease;
}

.mobile-expandable-item.expanded .mobile-expand-toggle svg {
    transform: rotate(180deg);
}
